NodeRings Docs

List Invoices

ListInvoices lists invoices for a subscription or organization

GET
/v1/invoices
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

subscriptionId?string
status?string
Value in"INVOICE_STATUS_UNSPECIFIED" | "INVOICE_STATUS_DRAFT" | "INVOICE_STATUS_OPEN" | "INVOICE_STATUS_PAID" | "INVOICE_STATUS_PAST_DUE" | "INVOICE_STATUS_VOID" | "INVOICE_STATUS_UNCOLLECTIBLE"
page?integer
Formatint32
pageSize?integer
Formatint32
orderBy?string

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/invoices?subscriptionId&status&page&pageSize&orderBy" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "invoices": [
    {
      "id": "string",
      "invoiceNumber": "string",
      "subscriptionId": "string",
      "subscriptionIds": [
        "string"
      ],
      "periodStart": "2019-08-24T14:15:22Z",
      "periodEnd": "2019-08-24T14:15:22Z",
      "dueDate": "2019-08-24T14:15:22Z",
      "paidAt": "2019-08-24T14:15:22Z",
      "status": "INVOICE_STATUS_UNSPECIFIED",
      "currency": "string",
      "subtotal": "string",
      "taxAmount": "string",
      "total": "string",
      "amountDue": "string",
      "transactionId": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "metadata": {},
      "issuer": {
        "name": "string",
        "legalName": "string",
        "taxId": "string",
        "vatId": "string",
        "email": "string",
        "phone": "string",
        "addressLine1": "string",
        "addressLine2": "string",
        "city": "string",
        "region": "string",
        "postalCode": "string",
        "country": "string",
        "address": "string",
        "website": "string",
        "isPlatform": true
      },
      "customer": {
        "name": "string",
        "legalName": "string",
        "taxId": "string",
        "vatId": "string",
        "email": "string",
        "phone": "string",
        "addressLine1": "string",
        "addressLine2": "string",
        "city": "string",
        "region": "string",
        "postalCode": "string",
        "country": "string",
        "address": "string",
        "website": "string",
        "isPlatform": true
      }
    }
  ],
  "totalCount": 0,
  "page": 0,
  "pageSize": 0
}